Name:           packagedb-cli
Version:        1.1.0
Release:        2%{?dist}
Summary:        A CLI for pkgdb

License:        GPLv2+
URL:            https://fedorahosted.org/packagedb-cli/
# Will be in https://fedorahosted.org/releases/p/a/packagedb-cli/
# as soon as a "permission denied" is fixed and that I can upload
# the tarball
Source0:        http://ambre.pingoured.fr/public/packagedb-cli-1.1.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%if 0%{?rhel} && 0%{?rhel} < 6 
# EPEL 5
BuildRequires:  python26
Requires:       python26-argparse
%else
# EPEL6+, Fedora
BuildRequires:  python
%endif

# EPEL6+, Fedora13-
%if 0%{?rhel} >= 6 || ( 0%{?fedora} && 0%{?fedora} <= 13 )
Requires:       python-argparse
%endif

Requires(post): python-fedora
Requires:       python-bugzilla
Provides:       pkgdb-cli = %{version}-%{release}

%description
packagedb-cli is a command line interface of the well-known
packagedb of the Fedora project.

It allows you to manage the ACL for your packages as well
as requesting new ACL for new packages.
It also allows you to orphan and/or retire your package(s).

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv pkgdb-cli.py pkgdb-cli
install pkgdb-cli $RPM_BUILD_ROOT/%{_bindir}/

%files
%doc README LICENSE
%{_bindir}/pkgdb-cli

%changelog
* Fri Nov 11 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.0-2
- Add python-bugzilla as a requires

* Thu Jul 28 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.1.0-1
- Update to 1.1.0

* Fri Jul 01 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-6
- Bump release

* Fri Jul 01 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-5
- Add a Provides to pkgdb-cli

* Wed Jun 29 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-4
- Make the spec compatible with epel5 (add BuildRoot and test for R/BR)

* Wed Jun 29 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-3
- Fix the usage in the -h/--help by sed (already fixed upstream)

* Wed Jun 29 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-2
- Used a temporary solution for Source0 for the review

* Wed Jun 29 2011 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0.0-1
- First package for Fedora
